// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/AudioIOModes.h#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

#ifndef __AUDIO_IO_MODES_
#define __AUDIO_IO_MODES_

// Every audio driver defines its own set of modes.
typedef enum _tagAudioIOMode {
    AudioIOMode_UNINITIALIZED = 0,      //Driver is not initialized to any input mode yet (true when the SYSAudio_Init() has not been called). 
    AudioIOMode_ADC,                    //Analog input
    AudioIOMode_SPDIF                    //Digital Input
} AudioIOMode;


#endif
