// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/Drivers/Audio/AudioDriverPrivate.h#3 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

#ifndef __AUDIO_DRIVER_PRIVATE_H__
#define __AUDIO_DRIVER_PRIVATE_H__

#include "AudioIOModes.h"

//Every audio driver has to define its data format based on their hardware peripheral like CODECs.
//The flag determine the data format for SPDIF receiver and serial port devices.
//The following 2 flag is defined exclusively.
//un-comment this flag and comment out the flag below if I2S mode is used
#define DATA_FORMAT_I2S 1
//un-comment this flag and comment out the above flag if Left-justified mode is used
//#define DATA_FORMAT_LJ 1

void Init_AD1835_via_SPI(AudioIOMode iMode);
bool SPDIF_Init(void);
void SRU_Init(AudioIOMode iMode);

#endif
