// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/Platforms/EZKit_21369_Basic/2.5.0/Drivers/Driver.h#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

//Private interface for Drvier Lib

#ifndef __DRIVER_H__
#define __DRIVER_H__

#define includeSPDIF 1   //tell the def21369.h header to include the SPDIF stuffs
#include "processor.h"


#define SEG_DRV_DMA_DATA_1            section("dma_data_1")
#define SEG_DRV_DMA_DATA_2            section("dma_data_2")

/** Read a named integer port. */
#define RDPORT(name)    (*(const int*)(name))

/** Write a named integer port. */
#define WRPORT(name)    (*(volatile int*)(name))


//assorted helper functions
void Delay (unsigned int);

#endif  //__DRIVER_H__
