// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/common/layoutsupport/2.5.0/Include/AMF_Copier_C.h#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $


#ifndef _AMF_COPIER_C_H_
#define _AMF_COPIER_C_H_

#include "AudioProcessing.h"

#ifdef __ECC__

// C declarations
// Control-signal version
typedef struct {
    AMF_Module b;
} AMF_Copier_C;

extern const AMF_ModuleClass AMFClassCopier_C;

// General-purpose version
typedef struct {
    AMF_Module b;
    int size;
} AMF_Copier_G;

extern const AMF_ModuleClass AMFClassCopier_G;

#else

// ASM declarations for offsets from start of instance (must be kept in synch with C version)

#endif

#endif


