function [Bl_lin,C_lin,Le_lin,M,Re,Rt,L2_0,R2_0] = Get_Linear_Parameter(speaker);

    if speaker == 8480255
        Bl_lin = 0;      Le_lin = 0;    C_lin = 0;
        Re = 12.6263;   Rt = 1.16119;   M = 6.15617e-003;
        R2_0 = 5.65685;     L2_0 = 7.68891e-004;
   
    elseif speaker == 8480277
        Bl_lin = 7.18583;      Le_lin = 0.000389793;    C_lin = 0.000538315;
        Re = 5.02882;   Rt = 2.16858;   M = 0.0195471;
        R2_0 = 2.67697;     L2_0 = 0.000565304;
   
    elseif speaker == 8480285
        Bl_lin = 0;      Le_lin = 0;    C_lin = 0;
        Re = 12.8636;   Rt = 0.589303;   M = 8.82478e-003;
        R2_0 = 3.36085;     L2_0 = 5.6789e-004;
   
    elseif speaker == 31221
        Bl_lin = 7.03;      Le_lin = 0.58157e-3;    C_lin = 0.241e-3;
        M = 9.4e-3;         Re = 5.85;              Rt = 6.812;    
        L2_0 = 0.550e-3;    R2_0 = 6.4;%eddy current parameters%L2_0 = 0.1e-3;      R2_0 = 1.0; 

    else
        message = ['Speaker "' num2str(speaker) '" is not presented in the database.']
        uiwait(msgbox(message));

    end
%     Bl_lin = 7.18;      Le_lin = 0.389793e-3;    C_lin = 0.538315e-3;
%         Re = 5.01449;   Rt = 2.25391;   M = 1.92143e-002;
%         R2_0 = 2.677;     L2_0 = 5.55941e-004;
end