function [OUT, d, ind]=THD(Y,f0,fs,L,n,nf);
    % Y = spectrum(up to fs/2!), f0 = fundamental frequency, fs = sampling frequency. 
    % L = size of spectrum vector, 
    % n - the maximum order of distortion included
    % nf - % number of neighbour frequencies.
     
%     % removing distortion frequency components less than zero.
%     n_neg = -n;
%     if n>round((f2-20)/f1-0.5)
%         n_neg = -round((f2-20)/f1-0.5);
%     end
        
    for m=1:n+1;                                        %finding index for frequencies in spectrum
        kind(m) = round(m*f0/(fs/(2*L)))+1;
    end
    ind = kind;
    Y1 = 0;
    Y0 = 0;
    %d = zeros(1,n+1);%[0 0 0 0 0 0]';
    for i=-nf : nf
        Y1 = Y1 + (sum((abs(Y(kind(2:end)+i))).^2));    %summing the energy in harmonics
        Y0 = Y0 + (sum((abs(Y(kind+i))).^2));           %summing the total energy
    end
    d = 10*log10(abs(Y(kind)));                         %freguency components energy
    OUT = 100*sqrt(Y1/Y0);
end