x_sine_B_4volt_50Hz = TEXTREAD('model/x_sine4volt50Hz.txt')';
x_sine_B_634volt_50Hz = TEXTREAD('model/x_sine634volt50Hz.txt')';
x_sine_B_4volt_70Hz = TEXTREAD('model/x_sine4volt70Hz.txt')';
x_sine_B_634volt_70Hz = TEXTREAD('model/x_sine634volt70Hz.txt')';
    
figure(1)
subplot(2,2,1)
    plot(x_sine_B_4volt_50Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('x-measurement - input: 4V-50Hz')
subplot(2,2,3)
    plot(x_sine_B_634volt_50Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('x-measurement - input: 6.34V-50Hz')
subplot(2,2,2)
    plot(x_sine_B_4volt_70Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('x-measurement - input: 4V-70Hz')
subplot(2,2,4)
    plot(x_sine_B_634volt_70Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('x-measurement - input: 6.34V-70Hz')

Nf = 2^13;
nx = 1:(Nf/2);
y = fft(Excursion_894volt_50Hz(1:5000).*hann(5000)',Nf);
Pyy = (y.*conj(y))/Nf;
Prad = (((Pyy(1:Nf/2))).*((nx*fs/Nf*2*pi).^4)); %*1/2*1.2*(0.0525^2*pi)^2/(2*pi*344)

    figure(7);
        plot(Prad);
        axis([0 1000 20 150]);    grid minor; 
        title('The simulated power radiation - without compensation')
        ylabel('Radiated power [dB]')
        xlabel('Frequency[Hz]')
