% clear, clf;
% All_data = zeros(400);
% stepsize = 98;
% fs = 48000;             %sampling frequency(for inputsig, speakermodel and compensator)
% 
% for k=1:1
%     [data(k,:), numIn] = Capture('Capture1')
% end
% figure(16)
% plot(data(1,1:11000))
% % 
% % for k=1:5
% %     All_data((stepsize*(k-1))+1:k*stepsize) =  data(k,:);
% % end
% % figure(1)
% % plot(All_data)
% 
% %  for i = 1:numIn
% %         subplot(numIn,1,i);
% %         plot(data(k,:));
% %     end
% 
Nf = 2^16;
nx = 1:(Nf/2);
nx_comp = 1:11000/2;

y_DSP = fft(data(1,1:11000).*hann(11000)',Nf);
Pyy_DSP = (y_DSP.*conj(y_DSP))/Nf;
Prad_DSP = (((Pyy_DSP(1:Nf/2))).*((nx*fs/Nf*2*pi).^4)); %*1/2*1.2*(0.0525^2*pi)^2/(2*pi*344)

figure(26);
    plot(nx_comp*fs/Nf,10*log10(Prad_DSP(1:11000/2)));
    axis([0 1000 -90 100]);    grid minor; 
    title('output with compensation, simulated on DSP ')

    
speaker = 8480277;      % Choise of woofer
fs = 48000;             % sampling frequency(for inputsig, speakermodel and compensator)

%table for nonlinear parameters
tabel_size = 3200;     % tabel-size for nonlinear parameters
max_excursion = 0.02;   % [m]
table_stepsize = (2*max_excursion)/tabel_size;

%Loading Linear Parameters (Bl_lin,C_lin,Le_lin is not used later)   
[Bl_lin,C_lin,Le_lin,M,Re,Rt,L2_0,R2_0] = get_linear_parameters(speaker); 

%Loading Nonlinear Parameters (Polynomial coefficients and tabels)
[a,b,c,k,Le,Bl,C,dLe] = get_nonlinear_parameters_ny(speaker,8,8,8,tabel_size,max_excursion,table_stepsize);%Le,Bl,C

f = 50;    fm = 0;   A = 12.64;   Am = 0*8.94;  
n = 1:96000;
w = A*sin(2*pi*f*n/fs) + Am*sin(2*pi*fm*n/fs);  % u=amp1*rand(1,96000);     

% [OUT] = nonlinear_SI_tab_round(w,a,b,c,L2_0,R2_0,M,Re,Rt,fs,Le,Bl,C,dLe,tabel_size,max_excursion,table_stepsize);    
[OUT_comp,u] = feedback_compensator_tab_round(w,a,b,c,Le,Bl,C,dLe,L2_0,R2_0,M,Re,Rt,fs,table_size,max_excursion,stepsize_table);

y2 = fft(u(17001:28000).*hann(11000)',Nf);
Pyy2 = (y2.*conj(y2))/Nf;
Prad2 = (((Pyy2(1:Nf/2))).*((nx*fs/Nf*2*pi).^4)); %*1/2*1.2*(0.0525^2*pi)^2/(2*pi*344)

    
figure(27);
    plot(nx_comp*fs/Nf,10*log10(Prad2(1:11000/2)));
    axis([0 1000 -90 100]);    grid minor; 
    title('output with compensation, simulated in matlab ')




