// Copyright(c) 2005 Analog Devices, Inc. All Rights Reserved.
// This software is proprietary and confidential to Analog Devices, Inc. and its licensors.

// File    : $Id: //depot/development/visualaudio/common/layoutsupport/2.5.0/Include/processor.h#2 $ 
// Part of : VisualAudio V2.5.0 
// Updated : $Date: 2006/10/12 $ by $Author: Fernando $

//  Processor.h
//
//  Descritpion
//    This header file defines processor dependent stuffs

#ifndef __PROCESSOR_H__
#define __PROCESSOR_H__

#ifdef __2116x__
#include <def21161.h>
#define FW_HOST_TUNING 1              // No BTC on 161
#endif //2116x__

#ifdef __2126x__
#include <def21262.h>
#ifndef SYSCON
#define SYSCON SYSCTL
#endif  //SYSCON
#endif //__2126x__

#ifdef __2136x__
#if defined(__ADSP21367__) || defined(__ADSP21368__) || defined(__ADSP21369__)
#include <def21369.h>
#else
#include <def21365.h>
#endif
#ifndef SYSCON
#define SYSCON SYSCTL
#endif  //SYSCON
#endif //__2136x__


#ifdef __ADSPBLACKFIN__
#define FW_SIGNALS_ARE_FLOATING_POINT 0
#define FW_Interrupt(x,y) register_handler((interrupt_kind)(x),(y))  
#define pm
#if defined(__ADSPBF537__)
#include <defbf537.h>
#elif defined(__ADSPBF561__)
#include <defbf561.h>
#else
// For now, assume 532/533/531 
#include <defbf532.h>
#endif
#else
// Assume SHARC 
#define FW_SIGNALS_ARE_FLOATING_POINT 1
#define FW_Interrupt(x,y) interruptcb(x,y)
#endif

#endif //__PROCESSOR_H__
