function [X]= compliance_tuning(C,stepsize_table,table_size, str, sca);

    x  = -0.020:stepsize_table:0.020;
    X = 0.002;    
    %scaling
    %sca = 1; %Scaling-Gain
    C_tuned = C * sca;
    
    %stretching
    %str = 1.0;  %Stretching-Gain
    
    %smuding, model becomes unstabil if
    smud_factor = 10;
    C_mid = (smud_factor*C + C_tuned)/(smud_factor+1);
    
    %index rutine
    index_realvalue = x/stepsize_table + table_size/2;
    index = round(index_realvalue-0.5);
    
    index2 = round((index-1600).*str+1600);    
    
    
    figure(50)
        plot(index,C)
      % axis([0 3200 0 0.002])%max(C)*1.05])%0.0025])
        title('Orginal, Cms')
        grid
    figure(51)
        plot(index2,C_tuned)
        axis([0 3200 0 0.002])%max(C)*1.05])%0.0025])
        title('tuned, Cms')
        grid
    figure(52)
        plot(index,C_mid)
        axis([0 3200 0 0.002])%max(C)*1.05])%0.0025])
        title('smud, Cms')
        grid   
     X = C_tuned;    
 end