%plotting measured speaker. 
%uncompensated
x_sine_B_4volt_50Hz = TEXTREAD('model/x_sine4volt50Hz.txt')';
x_sine_B_634volt_50Hz = TEXTREAD('model/x_sine634volt50Hz.txt')';
x_sine_B_4volt_70Hz = TEXTREAD('model/x_sine4volt70Hz.txt')';
x_sine_B_634volt_70Hz = TEXTREAD('model/x_sine634volt70Hz.txt')';

%model
x_DSP_B_4volt_50Hz = TEXTREAD('model/x_DSPmod_scaled_4vrms.txt')';
x_DSP_B_4volt_70Hz = TEXTREAD('model/x_DSPmod_4vrms70Hzsc1.txt')';

%compensated
x_pred_B_4volt_50Hz = TEXTREAD('model/x_pred_4vrms.txt')';
x_pred_B_4volt_70Hz = TEXTREAD('model/x_pred_4_vrms70Hz1c_1.txt')';

%tuned model
x_DSP_B_4volt_50Hz085092 = TEXTREAD('model/x_DSPmod_scaled_4vrms_sc085st092.txt')';
x_DSP_B_4volt_70Hz06 = TEXTREAD('model/x_DSPmod_4vrms70Hzsc06.txt')';

%tuned compensated
x_pred_B_4volt_50Hz085092 = TEXTREAD('model/x_pred_4vrms_sc085st092.txt')';
x_pred_B_4volt_70Hz06 = TEXTREAD('model/x_pred_4vrms70Hz_sc06.txt')';

% figure(1)
% subplot(2,2,1)
%     plot(x_sine_B_4volt_50Hz(1,:))
%     axis([0 500 -30 65])
%     grid
%     xlabel('Frequency[Hz]')
%     ylabel('excusion, relative dB')
%     title('x-measurement - input: 4V-50Hz')
% subplot(2,2,3)
%     plot(x_sine_B_634volt_50Hz(1,:))
%     axis([0 500 -30 65])
%     grid
%     xlabel('Frequency[Hz]')
%     ylabel('excusion, relative dB')
%     title('x-measurement - input: 6.34V-50Hz')
% subplot(2,2,2)
%     plot(x_sine_B_4volt_70Hz(1,:))
%     axis([0 500 -30 65])
%     grid
%     xlabel('Frequency[Hz]')
%     ylabel('excusion, relative dB')
%     title('x-measurement - input: 4V-70Hz')
% subplot(2,2,4)
%     plot(x_sine_B_634volt_70Hz(1,:))
%     axis([0 500 -30 65])
%     grid
%     xlabel('Frequency[Hz]')
%     ylabel('excusion, relative dB')
%     title('x-measurement - input: 6.34V-70Hz')
figure(2)
subplot(3,2,1)
    plot(x_sine_B_4volt_50Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Uncompensated output - measurement')
 subplot(3,2,2)
    plot(x_sine_B_4volt_70Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Uncompensated output - measurement')
subplot(3,2,3)
    plot(x_DSP_B_4volt_50Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Loudspeaker model, (OUT3)')
subplot(3,2,4)
    plot(x_DSP_B_4volt_70Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Loudspeaker model, (OUT3)')
subplot(3,2,5)
    plot(x_pred_B_4volt_50Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Compensated output - measurement')
 subplot(3,2,6)
    plot(x_pred_B_4volt_70Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Compensated output - measurement')
figure(3)
subplot(3,2,1)
    plot(x_sine_B_4volt_50Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Uncompensated output - measurement')
 subplot(3,2,2)
    plot(x_sine_B_4volt_70Hz(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Uncompensated output - measurement')
subplot(3,2,3)
    plot(x_DSP_B_4volt_50Hz085092(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Loudspeaker model, (OUT3)')
subplot(3,2,4)
    plot(x_DSP_B_4volt_70Hz06(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Loudspeaker model, (OUT3)')
subplot(3,2,5)
    plot(x_pred_B_4volt_50Hz085092(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Compensated output - measurement')
 subplot(3,2,6)
    plot(x_pred_B_4volt_70Hz06(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Compensated output - measurement')
figure(5)
 plot(x_pred_B_4volt_50Hz09(1,:))
    axis([0 500 -30 65])
    grid
    xlabel('Frequency[Hz]')
    ylabel('excusion, relative dB')
    title('Compensated output - measurement')